
EclaireXL - Feature #28

XEX boot loader replacement

05/31/2017 07:01 PM - foft

Status: Closed Start date: 05/31/2017

Priority: Normal Due date:  

Assignee: foft % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

Replace XEX boot loader with a better one

Related issues:

Related to Feature #21: Mirax Force game crash Closed 05/30/2017

Related to Bug #20: Bugs in DAS OMEN Demo Closed 05/30/2017

History

#1 - 05/31/2017 07:01 PM - foft

- Tracker changed from Bug to Feature

Improve XEX boot loader with a better version, since the current one causes a lot of software to fail.

#2 - 05/31/2017 07:02 PM - foft

- Related to Feature #21: Mirax Force game crash added

#3 - 05/31/2017 07:02 PM - foft

- Related to Bug #20: Bugs in DAS OMEN Demo  added

#4 - 06/03/2017 09:48 AM - ndary

- Assignee changed from xxl to foft

Mark,

i found that the existing XEX loader behave better then i originally reported,

the problem is that when you press ENTER to execute the file the computer immediate reboots without giving you the ability to hold the option key,

so if you hold F8 before you press the ENTER key, the file loads correctly!

i suggest that in the SETTINGS menu of EclairXL we will add an option to ENABLE/DISABLE Basic, this will make things smoother

Nir

#5 - 06/03/2017 12:28 PM - foft

Do you mean in F11? I never use this one, but I think its ok to hold option if you need it isn't it? The USB keyboards can usually handle multiple key

presses at once.

#6 - 06/03/2017 12:29 PM - foft

Remember we're not an emulator and I'm hesitant to add extra portb logic etc or logic to force hold down keys for certain timeframes.

#7 - 06/03/2017 12:30 PM - foft

I'm actually tempted to make the 'menu' less emulator like where possible. It is a hardware recreation and having a powerful firmware run by another

cpu breaks the illusion somewhat.

#8 - 06/03/2017 12:33 PM - jozsef

Or a patched OS, where the BASIC is turned off by default (you need to press OPTION in order to have BASIC). This is how AtariMax's 32in1 OS

works.

#9 - 06/06/2017 08:00 AM - xxl
foft wrote:

Replace XEX boot loader with a better one

 Das Omen works fine. You do not need to replace the loader.

#10 - 06/06/2017 08:57 AM - foft

- Status changed from New to Closed
